#!/bin/sh

SRCDIR=$(dirname "$0")
DSTDIR="$SRCDIR/out"

SRCAIN="$SRCDIR/Rance10.ain"
SRCEX="$SRCDIR/ex/main.x"

if [ ! -f "$SRCAIN" ]; then
    echo "$SRCAIN doesn't exist. Exiting."
    exit 1
fi

if [ ! -f "$SRCEX" ]; then
    echo "$SRCEX doesn't exist. Exiting."
    exit 1
fi

set -x

alice ain edit --jaf "$SRCDIR/mod.jaf" --jam "$SRCDIR/mod.jam" -o "$DSTDIR/Rance10.ain" "$SRCAIN"
alice ex build -o "$DSTDIR/Rance10EX.ex" "$SRCEX"
alice ar pack "$SRCDIR/Rance10CGmod.manifest"
